Update account order credentials
curl --request PATCH \
--url https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentials": "Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail"
}
'import requests
url = "https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials"
payload = { "credentials": "Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credentials: 'Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail'
})
};
fetch('https://api.gameboost.com/v2/account-orders/{accountOrder}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"account_offer_id": 123,
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"buyer": {
"id": 123,
"username": "<string>"
},
"rating": {
"id": 123,
"labels": [
"<string>"
],
"rating": 123,
"comment": "<string>",
"created_at": 123,
"updated_at": 123
},
"title": "<string>",
"description": "<string>",
"parameters": {},
"is_disputed": true,
"dispute_case_id": 123,
"delivery_time": {
"duration": 123,
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"is_manual_delivery": true,
"credentials": "<string>",
"delivery_instructions": "<string>",
"price": "<string>",
"price_usd": "<string>",
"image_urls": [
"<string>"
],
"created_at": 123,
"updated_at": 123,
"purchased_at": 123,
"completed_at": 123,
"refunded_at": 123
},
"message": "<string>",
"warning": "<string>"
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "The given data was invalid.",
"errors": {
"field": [
"Something is wrong with this field!"
]
}
}{
"message": "Too many requests."
}Account Orders
Update account order credentials
Update the account credentials for a sold order. Buyer will be notified of the updated credentials automatically.
PATCH
/
v2
/
account-orders
/
{accountOrder}
/
credentials
Update account order credentials
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the account order. Can be retrieved from the list of account orders, or from the parent account offer, or from webhooks.
Body
application/json
Account credentials in plain text format. Supports multi-line input with line breaks. Content is automatically encrypted using AES-256 encryption for secure storage.
Maximum string length:
10000Example:
"Login: example, Password: password, Email Login: example@example.com, Email Password: password, Email Provider: proton.me/mail"
Was this page helpful?
⌘I